RK-J - Task #1946

Improve Lighthouse Performance.
12/16/2021 06:25 AM - Ayush Khandelwal

Status: Closed Start date: 12/16/2021
Priority: Normal Due date: 12/17/2021
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

History

#1 - 03/11/2022 08:16 AM - Rishabh Sharma

- Status changed from New to In Progress

#2 - 03/16/2022 06:17 AM - Rishabh Sharma
- File ReasonForLayoutShift added

#3 - 03/16/2022 01:18 PM - Rishabh Sharma

- File ImprovePerformaceMarch16 added

#4 - 03/16/2022 01:21 PM - Rishabh Sharma

https://christianlydemann.com/the-complete-guide-to-angular-load-time-optimization/

#5 - 03/23/2022 05:12 AM - Rishabh Sharma

using the source-map-explorer to know all the files inside a module (this was not possible in webpack-bundle-analyzer).
Removed the toastr service from app.module and from rating-lessons , not much change - only 2-3 kb changes in the total bundle size of
document.module

#6 - 03/23/2022 06:35 AM - Rishabh Sharma

https://stackoverflow.com/questions/67250993/how-can-i-download-only-one-angular-material-component-and-not-the-entire-librar

#7 - 10/31/2022 06:02 AM - Ayush Khandelwal
- Status changed from In Progress to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#8 - 10/31/2022 06:02 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Files
ReasonForLayoutShift 4.25 KB 03/16/2022 Rishabh Sharma
ImprovePerformaceMarch16 1.59 KB 03/16/2022 Rishabh Sharma
